<div class="payments">
  <layout-page-header
    [title]="'LOAN_MANAGER.PAYMENTS.TITLE' | translate"
    [description]="'LOAN_MANAGER.PAYMENTS.DESCRIPTION' | translate"
    [total]="(paymentsTable$ | async)?.count "
    [tooltipMessage]="'LOAN_MANAGER.PAYMENTS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <payments-filters></payments-filters>
    <div class="payments__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="paymentsTable$ | async"
        [rowDetailTemplate]="detailRow"
        [isLoading]="isLoadingPayments$ | async"
        (toggleDetails)="onToggleDetails($event)"
        (changeTableFilters)="onChangePageFilter($event)"
        [showDetails]="showDetails && (paymentsTable$ | async)?.filtered == 1"
        (download)="onDownload()"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template #statusTemplate let-row="row" let-header="header">
  <ng-container *ngIf="row[header?.dataKey] as status">
    <layout-status [status]="status"></layout-status>
  </ng-container>
</ng-template>

<ng-template #detailRow let-row="row">
  <ng-container *ngIf="(paymentProfiles$ | async) as paymentProfiles">
    <payments-details
      [paymentProfile]="paymentProfiles[row?.id]"
      [isLoading]="(isLoadingPaymentProfiles$ | async)[row?.id]"
    ></payments-details>
  </ng-container>
</ng-template>
